import { Observable } from "rxjs";
import { HttpClient } from "@angular/common/http";
import * as i0 from "@angular/core";
export declare class ReportsService {
    private httpClient;
    constructor(httpClient: HttpClient);
    loadGroups(url: string): Observable<any>;
    listReportsByGroupId(url: string, groupId: number): Observable<any>;
    getReportWithFilters(reportId: number): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ReportsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ReportsService>;
}
